hackrf_source_c.h File Reference
`#include <gnuradio/sync_block.h>`
`#include <condition_variable>`
`#include <mutex>`
`#include <libhackrf/hackrf.h>`
`#include "source_iface.h"`
`#include "hackrf_common.h"`

Go to the source code of this file.

## Classes

class | hackrf_source_c
| Provides a stream of complex samples. More...

## Functions

hackrf_source_c_sptr | make_hackrf_source_c (const std::string &args="")
| Return a shared_ptr to a new instance of hackrf_source_c.

## Function Documentation

## make_hackrf_source_c()

hackrf_source_c_sptr make_hackrf_source_c | ( | const std::string & | args = "" | ) |

Return a shared_ptr to a new instance of hackrf_source_c.

To avoid accidental use of raw pointers, hackrf_source_c's constructor is private. make_hackrf_source_c is the public interface for creating new instances.